Skip to content

Update Player Status (Freeze / Suspend)

PUT
/api/players/updateStatus/{id}

Update a player's status.

  • ACTIVE: normal play.
  • FREEZE: player can still log in but cannot place bets.
  • SUSPENDED: player cannot log in, cannot bet, and any active provider game session is terminated so the player is dropped out of the game immediately.

Authorizations

Parameters

Path Parameters

id*
Typestring
Required

Request Body

JSON
{
"status": "string"
}

Responses

Updated player
JSON
{
"data": {
},
"status": null,
"timeStamp": "string"
}

Samples

cURL
curl -X PUT https://api-game.kkapi.co/api/players/updateStatus/{id}
JavaScript
fetch("https://api-game.kkapi.co/api/players/updateStatus/{id}", { method: "PUT" })
  .then(response => response.json())
  .then(data => console.log(data));
PHP
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api-game.kkapi.co/api/players/updateStatus/{id}");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "PUT");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
Python
import requests
response = requests.put("https://api-game.kkapi.co/api/players/updateStatus/{id}")
print(response.json())